require_relative 'vector_list'
require_relative 'vector'

module MyIO
  def self.read_vectors(file_name)
    list = VectorList.new
    File.open(file_name) do |file|
      file.each do |line|
        numbers = line.strip.split(/\s+/).map(&:to_f)
        vector = Vector.from_points(numbers[0, 3], numbers[3, 3])
        list.add(vector)
      end
    end
    list
  end
end
