class VectorList
  def initialize
    @vectors = []
  end

  def add(vector)
    @vectors << vector
    self
  end

  def size
    @vectors.size
  end

  def module_each
    sorted_vectors = @vectors.sort do |first, second|
      first.module <=> second.module
    end
    sorted_vectors.each do |vector|
      yield vector
    end
  end
end
